import { JsonApiDeserializer } from "./src/deserializers";
import { Store } from "./src/store";

function createInstance(): Store {
  const store = new Store();
  store.deserializer = new JsonApiDeserializer(store);
  return store;
}

export default createInstance();
export { Store };
