import { TJson } from "../utils";
import { Store } from "../store";
import { Model } from "../model";
import { Deserializer } from "./interface";
export declare class JsonApiDeserializer implements Deserializer {
    private store;
    constructor(store: Store);
    deserialize(payload: TJson): Model | Array<Model>;
    private _deserialize;
    private findOrInit;
    private deserializeRecord;
    private mapRelationships;
}
