declare type TKeyValueObject = {
    [key: string]: any;
};
export declare type TJsonApi = {
    data: TJsonApiData | TJsonApiData[];
    included?: TJsonApiData[];
};
export declare type TJsonApiData = {
    type: string;
    id: string;
    attributes?: TKeyValueObject;
    relationships?: TJsonApiRelationships;
};
export declare type TJsonApiRelationshipData = {
    type: string;
    id: string;
};
export declare type TJsonApiRelation = {
    data: TJsonApiRelationshipData | TJsonApiRelationshipData[];
};
export declare type TJsonApiRelationships = {
    [relationName: string]: TJsonApiRelation;
};
export {};
